レジ端末削除
DELETE
/terminals/{terminal_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/terminals/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/terminals/example \ --header 'Authorization: Bearer <token>'レジ端末を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”terminal_id
required
string
端末ID
Responses
Section titled “Responses”削除成功
親端末のIDを指定した場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example親端末のIDを指定した場合
{ "type": "about:blank", "title": "Bad Request", "detail": "親端末として設定されているため、削除できません。", "status": 400}指定されたIDが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}